套餐相关服务找到 9 个接口
修改套餐
updatePlan
POST
/PlanService/updatePlan- 定义文件
service_plan.proto- 可用角色
- 管理员
原始定义
rpc updatePlan(UpdatePlanRequest) returns (RPCSuccess);请求消息
UpdatePlanRequest修改套餐
请求消息 · 字段定义
message UpdatePlanRequest {
int64 planId = 1; // 套餐ID
string name = 2; // 套餐名称
string description = 21; // 套餐简介
bool isOn = 3; // 是否启用
int64 clusterId = 4; // 集群ID
bytes trafficLimitJSON = 5; // 流量限制
bytes bandwidthLimitPerNodeJSON = 22; // 单节点带宽限制
bool hasFullFeatures = 20; // 是否有所有权限
bytes featuresJSON = 6; // 权限列表,[code1, code2, ...]
string priceType = 7; // 价格类型:traffic, bandwidth, period
bytes trafficPriceJSON = 8; // 流量价格配置
bytes bandwidthPriceJSON = 12; // 带宽价格配置
float monthlyPrice = 9; // 月费用
float seasonallyPrice = 10; // 季度费用
float yearlyPrice = 11; // 年度费用
int32 totalServers = 13; // 可以添加的网站数
int32 totalServerNamesPerServer = 14; // 每个网站可以添加的域名数
int32 totalServerNames = 15; // 可以添加的域名总数
int64 dailyRequests = 16; // 每日访问量额度
int64 monthlyRequests = 17; // 每月访问量额度
int64 dailyWebsocketConnections = 18; // 每日Websocket连接数额度
int64 monthlyWebsocketConnections = 19; // 每月Websocket连接数额度
bytes maxUploadSizeJSON = 23; // 文件最大上传尺寸 @link json:size_capacity
}响应消息
RPCSuccess操作成功
响应消息 · 字段定义
message RPCSuccess {
}